<template>
  <el-tag type="success" v-if="value == 'Confirmed'" size="mini">审核通过</el-tag>
  <el-tag type="info" v-else-if="value == 'Invalid'" size="mini">已作废</el-tag>
  <el-tag v-else-if="value == 'WaitConfirm'" size="mini">待审核</el-tag>
  <span v-else></span>
</template>

<script lang="ts">
import { Component, Prop, Vue, Watch } from "vue-property-decorator";
@Component
export default class PayTag extends Vue {
  value:any=null;

  @Prop()
  propConfig: any

  @Prop()
  propValue?:any

  @Prop()
  parentValue:any

  @Watch('propValue')
  propValueChange(v:any){
    this.setValue(v);
  }

  mounted(){
    if(this.propValue){
      this.setValue(this.propValue)
    }
  }

  setValue(v:any){
    this.value = v;
  }
}
</script>

<style lang="scss" scoped>

</style>